<?php include "includes/header.php" ?>

<!--  jQuery -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<!--  SweetAlert library -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    toastr.options = {
        "closeButton": true,
        "newestOnTop": false,
        "progressBar": true,
        "positionClass": "toast-bottom-full-width",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
</script>

<?php

if (defined('CENTRALIZED')) {
    if (CENTRALIZED) {

        $checkbranch = true;
    } else {
        $checkbranch = false;
    }
}

?>

<body>
    <section class="d-flex justify-content-center align-items-center">
        <div class="col-12 col-md-8 col-lg-6 col-xl-5">
            <div class="card card-bg mt-3">
                <div class="card-body p-3 text-center ">
                    <div class="mb-md-3 pb-3">
                        <form>

                            <img src="./img/logo.png" class="mb-2" alt="Image" width="300">
                            <h3 class="mb-4">Sign In</h3>

                            <?php if (isset($_SESSION['login_error_message'])) : ?>

                                <script>
                                    // Use Toastr to show a success message
                                    toastr.error('<?php echo $_SESSION['login_error_message']; ?>');
                                </script>
                            <?php
                                // Clear the session message after displaying it
                                unset($_SESSION['login_error_message']);
                            endif;
                            ?>


                            <?php if (isset($_GET['error'])) : ?>
                                <script>
                                    // Use Toastr to show an error message
                                    toastr.error('<?php echo htmlspecialchars($_GET['error']); ?>');
                                </script>
                            <?php endif; ?>




                            <div class="d-flex justify-content-center mb-4">
                                <div style="width: 80%;">
                                    <div class="form-outline form-dark mb-3">

                                        <input type="text" name="typeNumber" id="typeNumber" class="form-control" required />
                                        <label class="form-label" for="typeNumber">Phone Number</label>
                                    </div>
                                    <div class="form-outline form-white mb-3">

                                        <div class="input-group">
                                            <input type="password" name="typePasswordX" id="typePasswordX" class="form-control" required />
                                            <button class="btn btn-outline-secondary" type="button" id="password-toggle">
                                                <i id="icon-eye" class="fa fa-eye"></i>
                                            </button>

                                        </div>
                                        <label class="form-label" for="typePasswordX">Password</label>
                                    </div>
                                </div>
                            </div>

                            <p class="small mb-3">
                                <a class="link text-dark-50" href="forgot-password.php">Forgot password?</a>
                            </p>

                            <button class="btn btn-lg btn-main" id="submitBtn" type="submit">LOGIN</button>
                        </form>
                    </div>

                    <div>
                        <p class="mb-0">Not a member yet? Register here
                            <a href="register.php" class="link text-dark-50 fw-bold">Sign Up</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <script>
        document.getElementById('password-toggle').addEventListener('click', function() {
            const passwordInput = document.getElementById('typePasswordX');
            const eyeIcon = document.getElementById('icon-eye');

            if (passwordInput.type === 'password') {
                passwordInput.type = 'text';
                eyeIcon.classList.remove('bi-eye');
                eyeIcon.classList.add('bi-eye-slash');
            } else {
                passwordInput.type = 'password';
                eyeIcon.classList.remove('bi-eye-slash');
                eyeIcon.classList.add('bi-eye');
            }
        });





        function disableButton() {

            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.classList.add('btn-load');
            // Change the button text
            submitBtn.innerHTML = 'PROCESSING <i class="fa fa-spinner fa-spin fa-2x"></i>';
        }

        function enableButton() {
            // enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;
            // Change background color to green
            submitBtn.classList.remove('btn-load');
            submitBtn.classList.add('btn-main');
            // Change the button text
            submitBtn.innerHTML = 'LOGIN';
        }

        $(document).ready(function() {


            // Submit the form using jQuery
            $('form').submit(function(event) {
                event.preventDefault();


                // Get form data
                var formData = $(this).serialize();

                disableButton();

                // Make an AJAX request to the server
                $.ajax({
                    type: 'POST',
                    url: 'functions/login.php',
                    data: formData,
                    dataType: 'json',
                    success: function(response) {
                        // Show SweetAlert based on the response
                        if (response.success) {
                            toastr.success('Success! Logging you in and redirecting.');


                            var checkbranch = <?php echo json_encode($checkbranch); ?>;

                            var mobile = response.data.Number;


                            if (checkbranch) {
                                // Check if branchid is present in the response
                                if (response.data && response.data.branchid !== null && response.data.branchid !== 0 && response.data.branchid !== '') {
                                    // Redirect to a dashboard
                                    getUserData(mobile);
                                } else {
                                    // Redirect to branch.php
                                    window.location.href = 'branch.php?mobile=' + mobile;

                                }
                            } else {
                                getUserData(mobile);
                            }


                        } else {
                            Swal.fire({
                                title: 'Error',
                                text: response.message,
                                icon: 'error',
                            }).then((result) => {
                                enableButton()

                            });
                        }
                    },
                    error: function() {
                        Swal.fire({
                            title: 'Error',
                            text: 'An error occurred while processing your request.Please try again',
                            icon: 'error',
                        }).then((result) => {
                            enableButton()

                        });
                    }
                });


            });
        });

        function getUserData(mobile) {

            $.ajax({
                type: 'POST',
                url: 'functions/profile.php',
                data: {
                    mobile: mobile
                },
                dataType: 'json',
                success: function(response) {
                    window.location.href = 'index.php';
                   

                },
                error: function() {
                    window.location.href = 'login.php';
                 
                }
            });
        }
    </script>




</body>

</html>