<?php
include "includes/header.php";

if (!isset($_SESSION['delivery_fees']) || !isset($_SESSION['delivery_type'])) {
    // Redirect the user to the select delivery page
    echo '<script>window.location.href="shopping-cart.php";</script>';
    exit;
}

if (isset($_SESSION['delivery_details'])) {
    $delivery_formdata = $_SESSION['delivery_details'];
}

if (isset($_SESSION['shortcode'])) {
    $shortcode = $_SESSION['shortcode'];
}


$deliveryType = $_SESSION['delivery_type'];
$deliveryFees = $_SESSION['delivery_fees'];



?>



<body>

    <!-- Header Section Begin -->
    <?php
    include "includes/head.php";
    ?>
    <!-- Header Section End -->

    <style>
        .btn-main {
            outline: none !important;
            border: none;
            display: none;

        }

        #cart-container1 {
            display: none;
        }

        #empty-cart-image {
            display: none;
            text-align: center;
        }

        #payment-number {
            display: none;
        }

        #loading-spinner {
            text-align: center;
            padding: 20px;
        }

        #empty-cart-image img {
            max-width: 100%;
            height: auto;
        }
    </style>




    <!-- Hero Section Begin -->
    <section class="hero hero-normal">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php";
                    ?>
                </div>
                <div class="col-lg-9">
                    <?php
                    include "sections/search.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->

    <!-- Breadcrumb Section Begin -->
    <section class="">
        <div class="container">
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: black !important;" href="./index.php" onmouseover="this.style.color='#225d2d'" onmouseout="this.style.color='black'">Home</a></li>
                        <li class="breadcrumb-item"><a style="color:#1877F2 !important;" href="#"><b>Cart Summary</b> </a></li>
                    </ol>
                </nav>

            </div>


            <div class="d-flex justify-content-between">
                <h5 class="mb-0"> <b> <span id="cart-count-badge3" class="cart-count-badge"></span> item(s) </b></h5>


                <a href="shopping-cart.php" class="custom-color">Go to cart</a>
            </div>

        </div>
    </section>
    <!-- Breadcrumb Section End -->

    <!--  loading spinner -->
    <div id="loading-spinner" style="display: block; text-align: center; padding: 20px;">
        <div class="spinner-border" role="status">
            <span class="visually-hidden"></span>
        </div>

    </div>

    <!-- Container for the empty cart image -->
    <div id="empty-cart-image">
        <img src="./img/empty.png" width="500px" height="550px" alt="Empty Cart" />
    </div>




    <section id="cart-container1" class="shoping-cart spad">

        <div class="container p-3" style="background-color: #eee;">



            <div class="row d-flex justify-content-center my-2">

                <div id="loading-message" class="mt-3" style="display: none;">Please wait, syncing data...</div>
                <div id="loading-spinner" class="mt-3" style="display: none;">
                    <div class="spinner-border text-success" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>

                </div>


                <div id="cart-container" class="col-md-7">

                </div>
                <div class="col-md-4" id="cart-summary">
                    <div class="card mb-5">

                        <div class="card-body">

                            <ul class="list-group list-group-flush">
                                <li class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">
                                    <strong>Items Count</strong>
                                    <span id='productscount'></span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between align-items-center px-0">
                                    <strong>Subtotal</strong>
                                    <span id="subtotal"></span>
                                </li>

                                <li class="list-group-item d-flex justify-content-between align-items-center px-0">
                                    <strong>Delivery Type:</strong>
                                    <span>
                                        <?php
                                        if ($deliveryType === '1') {
                                            echo "Home/Office Delivery";
                                        } elseif ($deliveryType === '2') {
                                            echo "Pickup";
                                        } else {
                                            echo 'Not Selected';
                                        }
                                        ?>
                                    </span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between align-items-center px-0">
                                    <strong>Delivery Fees</strong>
                                    <span>KSh. <?php echo number_format($deliveryFees, 2); ?></span>
                                </li>

                                <li class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 mb-3">
                                    <div>
                                        <strong>Total amount</strong>
                                        <strong>
                                            <p class="mb-0">(including VAT)</p>
                                        </strong>
                                    </div>
                                    <span><strong> <span id="total"></span> </strong></span>
                                </li>
                            </ul>

                            <?php

                            if ($enable_pay_on_delivery == true && $enable_pay_now == true) {
                                // Both options exist, and users can check and uncheck either
                                echo '<label>';
                                echo '<input type="radio" name="payment_option" value="online_payment" checked> Pay Now';
                                echo '</label>';
                                echo '<br>';
                                echo '<label>';
                                echo '<input type="radio" name="payment_option" value="pay_on_delivery"> Pay on Delivery';
                                echo '</label>';
                            } else if ($enable_pay_on_delivery == true && $enable_pay_now == false) {
                                // Only pay on delivery is available
                                echo '<label>';
                                echo '<input type="radio" name="payment_option" value="pay_on_delivery" checked> Pay on Delivery';
                                echo '</label>';
                            } else if ($enable_pay_on_delivery == false && $enable_pay_now == true) {
                                // Only pay now is available
                                echo '<label>';
                                echo '<input type="radio" name="payment_option" value="online_payment" checked> Pay Now';
                                echo '</label>';
                            } else {

                                // payment method available
                                echo '<label class="custom-color">';
                                echo 'Payment methods have not been set yet. Please contact support at <b>' . $brand_phone . '</b>';

                                echo '</label>';
                            }

                            ?>

                            <div id="payment-number" class="card mb-3 mt-2 text-center">

                                <img src="./img/mpesa2.png" width="80px" height="80px" style="margin-left: auto; margin-right:auto" alt="">
                                <div class="form-check" style="font-size:larger">
                                    <input class="form-check-input" type="checkbox" value="<?php $mobileNumber ?>" id="useMyNumber" checked>
                                    Use my number <?php $mobileNumber ?>
                                </div>
                                <div class="form-check" style="font-size:larger">
                                    <input class="form-check-input" type="checkbox" value="" id="enterNewNumber">
                                    <label class="form-check-label" for="enterNewNumber">
                                        Enter new number
                                    </label>
                                </div>
                                <div id="newNumberInput" style="display: none;">
                                    <input type="text" id="newNumber" class="form-control" placeholder="Enter new number">
                                </div>
                            </div>

                            <?php
                            $formName = isset($_POST['payment_summary']) ? $_POST['payment_summary'] : '';

                            if ($formName === 'payment_summary') {
                                echo '<button type="button" id="payment_now" class="btn  btn-block btn-main" disabled>';
                                echo 'PROCEED TO PAYMENT';
                                echo '</button>';

                                echo '<button type="button" id="payment_later" class="btn  btn-lg btn-block btn-main" disabled>';
                                echo 'PLACE ORDER';
                                echo '</button>';
                            } else {
                                echo '<button type="submit" class="btn btn-primary btn-lg btn-block " disabled>';
                                echo 'PLACE ORDER';
                                echo '</button>';
                            }
                            ?>



                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Footer Section Begin -->
    <?php
    include "includes/footer.php";
    ?>
    <!-- Footer Section End -->

    <script>
        $(document).ready(function() {


            // Event listener for changes in payment options
            $('input[name="payment_option"]').change(function() {
                var selectedOption = $('input[name="payment_option"]:checked').val();

                if (selectedOption === 'online_payment') {
                    // User selected "Pay Now"

                    $('#payment_now').show();
                    $('#payment-number').show();


                    $('#payment_later').hide();
                } else if (selectedOption === 'pay_on_delivery') {
                    // User selected "Pay on Delivery"
                    $('#payment_later').show();
                    $('#payment_now').hide();
                    $('#payment-number').hide();


                }
            });

            // Initial check to set the button state based on default selected option
            $('input[name="payment_option"]').change();

            paymentNumber();

            // Call the fetchCartData function on page load
            var cartdetails;

            fetchCartData();


        });

        function paymentNumber() {
            var useMyNumberCheckbox = $('#useMyNumber');
            var enterNewNumberCheckbox = $('#enterNewNumber');
            var newNumberInput = $('#newNumberInput');
            var newNumberField = $('#newNumber');

            useMyNumberCheckbox.change(function() {
                if (useMyNumberCheckbox.is(':checked')) {
                    enterNewNumberCheckbox.prop('checked', false);
                    newNumberInput.hide();
                }
            });

            enterNewNumberCheckbox.change(function() {
                if (enterNewNumberCheckbox.is(':checked')) {
                    useMyNumberCheckbox.prop('checked', false);
                    newNumberInput.show();
                } else {
                    newNumberInput.hide();
                }
            });

        }

        //fetch data
        function fetchCartData() {


            var fetchCartUrl = 'functions/fetchcart.php?userid=<?php echo $userid; ?>&branchid=<?php echo $branchid; ?>&payment_summary=1';


            $.ajax({
                type: 'GET',
                url: fetchCartUrl,
                dataType: 'json',
                success: function(data) {

                    // Update the cart items on success
                    if (data.length > 0) {
                        // If the cart is not empty, update the cart items
                        updateCartItems(data);


                        // Hide the loading spinner and show the cart container
                        $('#loading-spinner').hide();
                        $('#cart-container1').show();
                    } else {
                        // If the cart is empty, hide the cart container and show the empty cart image
                        $('#loading-spinner').hide();
                        $('#cart-container1').hide();
                        $('#empty-cart-image').show();
                    }

                },
                error: function(error) {

                }
            });
        }



        function updateCartItems(cartItems) {
            var cartContainer = $('#cart-container');
            cartContainer.empty();
            // cartContainer.html('Loading<i class="fa fa-spinner fa-spin"></i>');
            // Loop through each item in the cart and append it to the container
            $.each(cartItems, function(index, cartItem) {
                var cartItemHtml = `
                    <div class="card mb-4">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-lg-3 col-md-12 mb-4 mb-lg-0">
                                    <div class="bg-image hover-overlay hover-zoom ripple rounded" data-mdb-ripple-color="light">

                                        <img src="${cartItem.image ? cartItem.image : 'img/noimage.png'}" class="w-100" alt="image" width="100" loading="lazy" />
                                        <a href="#!">
                                            <div class="mask" style="background-color: rgba(251, 251, 251, 0.2)"></div>
                                        </a>
                                    </div>
                                </div>
                                <div class="col-lg-5 col-md-6 mb-4 mb-lg-0">
                                <p><strong>${cartItem.name}</strong></p>
                                
                    <p><strong>KSh. ${Number(cartItem.price).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })}</strong></p>

                    ${cartItem.quantity > cartItem.availablequantity
                                    ? `

                                    <s>  <p>KSh. ${Number(cartItem.price).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })} * ${cartItem.quantity} = KSh. ${Number(cartItem.totalprice).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })}</p>  </s>
                                    <small style="color:red">Remaining ${cartItem.availablequantity} </small>

                                    ${cartItem.availablequantity > 0
        ? `
     
        <p>KSh. ${Number(cartItem.price).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })} * ${cartItem.availablequantity} = KSh. ${Number(cartItem.price * cartItem.availablequantity).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })}</p>
        `
        : ''
    }


                    `
                                    : `
                    <p>KSh. ${Number(cartItem.price).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })} * ${cartItem.quantity} = KSh. ${Number(cartItem.totalprice).toLocaleString('en-US', { minimumFractionDigits: 2, maximumFractionDigits: 2 })}</p>

                    `}
                                </div>
                                <div class="col-lg-4 col-md-6 mb-4 mb-lg-0">
                                    <div class="d-flex justify-content-between">
                                        <div></div>
                                        <div class="d-flex justify-content-center">
                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                `;

                cartContainer.append(cartItemHtml);
            });
            updateCartSummary(cartItems);
        }

        // Function to update cart summary using Ajax
        function updateCartSummary(cartItems) {
            var productsTotal = 0;


            // Calculate the total price of products


            $.each(cartItems, function(index, cartItem) {
                // Use cartItem.availablequantity if it's less than cartItem.quantity
                var quantityToUse = Math.min(cartItem.quantity, cartItem.availablequantity);
                productsTotal += cartItem.price * quantityToUse;
            });

            //subtotal
            document.getElementById("subtotal").innerHTML = "KSh. " + Number(productsTotal).toLocaleString('en-US', {
                minimumFractionDigits: 2,
                maximumFractionDigits: 2
            });

            // total
            var subtotal = parseFloat(productsTotal);
            var deliveryFees = parseFloat('<?php echo $deliveryFees; ?>');


            // Calculate total amount
            var totalAmount = subtotal + deliveryFees;

            // Update the total amount in the HTML
            document.getElementById("total").innerHTML = "KSh. " + Number(totalAmount).toLocaleString('en-US', {
                minimumFractionDigits: 2,
                maximumFractionDigits: 2
            });

            document.getElementById("payment_now").innerHTML = "PROCEED TO PAYMENT KSh. " + Number(totalAmount).toLocaleString('en-US', {
                minimumFractionDigits: 2,
                maximumFractionDigits: 2
            });


            cartdetails = cartItems;

            placeOrderbuttons(totalAmount, productsTotal);


            // If the cart is empty, you may want to hide the summary section
            if (cartItems.length === 0) {
                $('#cart-summary').hide();
            } else {
                $('#cart-summary').show();
            }


        }




        function placeOrderbuttons(totalAmount, total) {
            var paymentLaterButton = document.getElementById("payment_later");
            var paymentNowButton = document.getElementById("payment_now");


            var paymentoption;

            if (paymentLaterButton) {

                paymentLaterButton.disabled = false;
                paymentLaterButton.innerHTML = 'PLACE ORDER';


                paymentLaterButton.onclick = function() {
                    paymentoption = '2';

                    loadmessage("Processing order please wait..")

                    postOrder(paymentoption, totalAmount, total);
                };
            }



            if (paymentNowButton) {
                paymentNowButton.disabled = false;
                paymentNowButton.innerHTML = 'PROCEED TO PAYMENT KSh. ' + Number(totalAmount).toLocaleString('en-US', {
                    minimumFractionDigits: 2,
                    maximumFractionDigits: 2
                });

                paymentNowButton.onclick = function() {
                    paymentoption = '1';

                    loadmessage("Processing order please wait..")

                    postOrder(paymentoption, totalAmount, total);
                };
            }
        }

        function loadmessage(message) {
            var paymentLaterButton = document.getElementById("payment_later");
            var paymentNowButton = document.getElementById("payment_now");

            var loadingMessage = document.getElementById("loading-message");
            var loadingSpinner = document.getElementById("loading-spinner");
            loadingMessage.innerHTML = message;

            var cart_container = document.getElementById("cart-container");
            var cart_summary = document.getElementById("cart-summary");

            cart_summary.style.display = "none";
            // Show loading spinner
            cart_container.style.display = "none";


            paymentNowButton.disabled = true;
            paymentLaterButton = true




            // Show loading message
            loadingMessage.style.display = "block";
            // Show loading spinner
            loadingSpinner.style.display = "block";
        }

        function closeloadmessage() {
            var paymentLaterButton = document.getElementById("payment_later");
            var paymentNowButton = document.getElementById("payment_now");

            var loadingMessage = document.getElementById("loading-message");
            var loadingSpinner = document.getElementById("loading-spinner");

            var cart_container = document.getElementById("cart-container");
            var cart_summary = document.getElementById("cart-summary");

            cart_summary.style.display = "block";
            // Show loading spinner
            cart_container.style.display = "block";


            paymentNowButton.disabled = false;
            paymentLaterButton.disabled = true

            // Show loading message
            loadingMessage.style.display = "none";
            // Show loading spinner
            loadingSpinner.style.display = "none";
        }

        function generateRandomOrderId() {
            // Generate a random 7-digit number
            return Math.floor(1000000 + Math.random() * 9000000);
        }

        // post order
        function postOrder(paymentoption, totalAmount, total) {

            if (paymentoption == '1') {
                var useMyNumberCheckbox = document.getElementById('useMyNumber');

                // Check if the checkbox is checked
                var isChecked = useMyNumberCheckbox.checked;

                var newNumberFieldValue = document.getElementById('newNumber').value;

                // use totalamount
                // make payments here and when successful place order
                var pay_details = <?php echo json_encode($shortcode); ?>;
                var code = pay_details.code;
                var refs = pay_details.refs;
                var url = pay_details.url;

                // Use a ternary operator to set the phone number based on checkbox state
                var phonenumber = isChecked ? <?php echo json_encode($mobileNumber); ?> : newNumberFieldValue;

                var paidamount = totalAmount;
                var ordernumber = "Kassmatt E-commerce Order payment"
                var update_payment = true;

                // Call the stkpush function with the data
                stkpush(url, phonenumber, ordernumber, paidamount, total, update_payment);


            } else {
                var update_payment = false;
                var payment_status = '0';
                placeOrder(payment_status, paymentoption, totalAmount, total, update_payment, "", "");


            }

        }


        function placeOrder(payment_status, paymentoption, totalAmount, total, update_payment, merchantRequestID, checkoutRequestID) {

            var randomOrderId = generateRandomOrderId();

            var deliveryType = '<?php echo $deliveryType ?>';
            var deliveryFees = '<?php echo $deliveryFees ?>';
            var customerID = '<?php echo $userid ?>';
            var storeID = '<?php echo $branchid ?>';
            var Payment = payment_status;
            var paymentoption = paymentoption;


            // Get form data
            var formData = {
                OrderID: randomOrderId,
                CustomerID: customerID,
                Total: total,
                TotalWeight: "0.00",
                PaymentOption: paymentoption,
                DeliveryOption: deliveryType,
                DeliveryRegion: "",
                StoreID: storeID,
                ShippingFees: deliveryFees,
                Amount: totalAmount,
                Payment: Payment,

            };



            // Make an AJAX request to the server
            $.ajax({
                type: 'POST',
                url: 'functions/post-orders.php',
                data: formData,
                dataType: 'json',
                success: function(response) {
                    // Handle the response as needed
                    if (response.error) {


                        closeloadmessage();

                    } else {

                        postAllCartItems(cartdetails, randomOrderId, update_payment, merchantRequestID, checkoutRequestID, deliveryFees, storeID);



                    }
                },
                error: function() {
                    Swal.fire({
                        title: 'Error',
                        text: 'An error occurred while processing your request. Please try again.',
                        icon: 'error',
                    }).then((result) => {
                        // enableButton();
                        closeloadmessage();
                    });
                }
            });

        }



        // post cart items (make an order) starts
        function postCartItem(itemFormData) {
            return $.ajax({
                type: 'POST',
                url: 'functions/post-order-items.php',
                data: itemFormData,
                dataType: 'json',
            });
        }

        function postAllCartItems(cartItems, randomOrderId, update_payment, merchantRequestID, checkoutRequestID, shipping, storeID) {
            var totalItems = cartItems.length;


            var successfulPosts = 0;

            function postNextItem(index) {
                if (index < totalItems) {
                    var cartItem = cartItems[index];

                    var quantity;

                    if (cartItem.quantity > cartItem.availablequantity && cartItem.availablequantity > 0) {
                        quantity = cartItem.availablequantity;
                    } else {
                        quantity = cartItem.quantity;
                    }


                    var itemFormData = {
                        OrderID: randomOrderId,
                        ItemID: cartItem.itemid,
                        Cost: "0.00",
                        Price: cartItem.price,
                        FullPrice: "0.00",
                        Quantity: quantity,
                        SalesTax: "0.00",
                        type: cartItem.type,
                        serialNumber: cartItem.is_serial,
                        branchid: storeID,
                    };

                    postCartItem(itemFormData)
                        .done(function() {
                            successfulPosts++;
                            postNextItem(index + 1); // Post the next item
                        })
                        .fail(function() {

                            Swal.fire({
                                title: 'Error',
                                text: 'An error occurred while processing your request. Please try again.',
                                icon: 'error',
                            });
                            closeloadmessage();
                        });
                } else {

                    saveDeliveryAddress(randomOrderId, update_payment, merchantRequestID, checkoutRequestID, shipping);
                }
            }

            // Start posting the first item
            postNextItem(0);
        }


        function saveDeliveryAddress(orderid, update_payment, merchantRequestID, checkoutRequestID, shipping) {

            var data = <?php echo json_encode($delivery_formdata); ?>;
            data.ordernumber = orderid;

            $.ajax({
                type: 'POST',
                url: 'functions/savedeliveryaddress.php',
                data: data,
                dataType: 'json',
                success: function(response) {
                    // Handle the response as needed
                    if (response.success) {



                        if (update_payment == true) {
                            //update payment



                            updatepayment(merchantRequestID, checkoutRequestID, orderid, shipping)

                        } else {
                            clearcart();
                            Swal.fire({
                                title: 'Success',
                                text: 'Order placed, thank you for shopping with us.',
                                icon: 'success',
                            }).then((result) => {
                                closeloadmessage();
                                window.location.href = "orders.php";
                               

                            });

                        }




                    } else {
                        Swal.fire({
                            title: 'Error',
                            text: 'Failed to place an order,try again!',
                            icon: 'error',
                        }).then((result) => {
                            // enableButton();
                            closeloadmessage();
                        });

                    }
                },
                error: function() {
                    Swal.fire({
                        title: 'Error',
                        text: 'An error occurred while processing your request. Please try again.',
                        icon: 'error',
                    }).then((result) => {
                        // enableButton();
                        closeloadmessage();
                    });
                }
            });
        }

        function clearcart() {
            var userid = <?php echo $userid; ?>;
            var branchid = <?php echo $branchid; ?>;
            var itemId = '0';
            $.ajax({
                type: 'GET',
                url: 'functions/deletecart.php?id=' + itemId + '&userid=' + userid + "&branchid=" + branchid,
                success: function(response) {


                    var jsonResponse = JSON.parse(response);

                },
                error: function(xhr, status, error) {
                    
                }
            });
        }



        function stkpush(url, phonenumber, ordernumber, paidamount, total, update_payment) {


            // Make an AJAX request to the server
            $.ajax({
                type: 'GET',
                url: 'functions/payment.php',
                data: {
                    phonenumber: phonenumber,
                    ordernumber: ordernumber,
                    paidamount: paidamount,
                    url: url
                },
                dataType: 'json',
                success: function(response) {
                    // Handle the response as needed


                    if (response.ResponseCode === '0') {
                        var merchantRequestID = response.MerchantRequestID;
                        var checkoutRequestID = response.CheckoutRequestID;

                        // Save data in localStorage
                        localStorage.setItem('MerchantRequestID', merchantRequestID);
                        localStorage.setItem('CheckoutRequestID', checkoutRequestID);

                        // Retrieve data from localStorage
                        var merchantRequestIDx = localStorage.getItem('MerchantRequestID');
                        var checkoutRequestIDx = localStorage.getItem('CheckoutRequestID');

                        // Call checkpayment function
                        checkpayment(merchantRequestID, checkoutRequestID, paidamount, total, update_payment);


                        // Clear the data from localStorage
                        localStorage.removeItem('MerchantRequestID');
                        localStorage.removeItem('CheckoutRequestID');


                    } else {
                        var message = response.errorMessage;
                        Swal.fire({
                            title: 'Error',
                            text: message,
                            icon: 'error',
                        }).then((result) => {
                            // Enable the button or perform any other necessary actions
                            // enableButton();
                            closeloadmessage();
                        });
                    }


                },
                error: function() {

                    Swal.fire({
                        title: 'Error',
                        text: 'Payment request failed,Please try again.',
                        icon: 'error',
                    }).then((result) => {

                        closeloadmessage();
                    });
                }

            });


        }

        function checkpayment(merchantRequestIDx, checkoutRequestIDx, paidamount, total, update_payment) {



            loadmessage("please wait,processing payment...")
            $.ajax({
                type: 'POST',
                url: 'functions/insert_payment.php',
                data: {
                    merchantRequestID: merchantRequestIDx,
                    checkoutRequestID: checkoutRequestIDx,
                },
                dataType: 'json',
                success: function(response) {

                    if (response.success === true) {

                        console.log("success", response.message)
                        var payment_status = "1";
                        var paymentoption = "1"

                        loadmessage(response.message)

                        toastr.success(response.message);
                        placeOrder(payment_status, paymentoption, paidamount, total, update_payment);


                    } else {

                        closeloadmessage();

                        Swal.fire({
                            title: 'Error',
                            text: response.message,
                            icon: 'error',
                        }).then((result) => {


                        });

                    }



                },
                error: function(jqXHR, textStatus, errorThrown) {

                    Swal.fire({
                        title: 'Error',
                        text: 'Payment request failed. Please try again.',
                        icon: 'error',
                    }).then((result) => {
                        // Handle the error as needed
                        closeloadmessage();
                    });
                }
            });


        }

        function updatepayment(merchantRequestID, checkoutRequestID, orderNumber, shipping) {
            var branchid = "<?php echo $branchid; ?>"
            var name = "<?php echo $name; ?>"
            var email = "<?php echo $email; ?>"

            var formData = {
                merchantRequestID: merchantRequestID,
                checkoutRequestID: checkoutRequestID,
                orderNumber: orderNumber,
                branchid: branchid,
                shipping: shipping,

            };

            $.ajax({
                type: 'POST',
                url: 'functions/update_payment.php',
                data: formData,
                dataType: 'json',
                success: function(response) {
                    ;
                    if (response.error) {


                        closeloadmessage();
                    } else {


                        Swal.fire({
                            title: 'Success',
                            text: 'Order placed, thank you for shopping with us.',
                            icon: 'success',
                        }).then((result) => {
                            closeloadmessage();
                            window.location.href = "orders.php";
                        });

                        // sendEmail(orderNumber, email, name);
                    }
                },
                error: function() {
                    Swal.fire({
                        title: 'Error',
                        text: 'An error occurred while processing your request. Please try again.',
                        icon: 'error',
                    }).then((result) => {
                        // enableButton();
                        closeloadmessage();
                    });
                }
            });
        }

        function sendEmail(orderNumber, email, name) {

            var formData = {
                orderNumber: orderNumber,
                email: email,
                name: name,
            };

            $.ajax({
                type: 'POST',
                url: 'functions/sendemail.php',
                data: formData,
                dataType: 'json',
                success: function(response) {




                },
                error: function() {
                    // Swal.fire({
                    //     title: 'Error',
                    //     text: 'An error occurred while processing your request. Please try again.',
                    //     icon: 'error',
                    // }).then((result) => {
                    //     // enableButton();
                    // });

                }
            });
        }
    </script>